[Haskell-cafe] Fwd: problem with cabal install MissingH-

Ivan Lazar Miljenovic ivan.miljenovic at gmail.com
Fri Sep 23 05:18:11 CEST 2011

On 23 September 2011 13:10, Mariano Cortesi <mcortesi at gmail.com> wrote:
> Hey!
> Thanks to all for the answers... i didn't know about ghc 7.2.
> I uninstalled ghc and reinstalled using homebrew (mac package manager).
> Now I have:
> The Glorious Glasgow Haskell Compilation System, version 7.0.4
> cabal is:
> /usr/bin ➜ cabal --version
> cabal-install version 0.10.2
> using version of the Cabal library
> And now, I was able to install MissingH, but still can't make EclipseFP work
> correctly :S
> When i start EclipseFP, it tries to build the scion-browser, but it fails
> inmediately with a message from cabal:
> cabal: The program ghc version >=6.4 is required but it could not be found.
> Google wasn't much help. Is anybody using EclipseFP? I've installed version
> 2.1 in eclipse indigo. I'm a regular eclipse user, but with haskell i'm
> lost.

I wonder if that's because cabal is looking in the wrong place for
ghc... is ghc on your PATH?

Ivan Lazar Miljenovic
Ivan.Miljenovic at gmail.com

More information about the Haskell-Cafe mailing list